Bug 467242 - CCISS drives not detected by installer
CCISS drives not detected by installer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 10:48 EDT by andy
Modified: 2015-01-12 14:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:35:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andy 2008-10-16 10:48:14 EDT
Description of problem:

Installer shows no drives for CCISS controller.

Version-Release number of selected component (if applicable):

Fedora 10 Beta DVD install

How reproducible:

Always

Steps to Reproduce:
1.  Boot install DVD
2.  Partitioning dialog shows no drives
  
Actual results:

No drives are listed in the install dialog.  Switching to a console via ctrl-alt-F2 and running fdisk -l /dev/cciss/c0d0 lists the drive and partitions as expected.

Expected results:

Drives and partitions to be visible in installer.

Additional info:
Comment 1 andy 2008-10-22 09:14:09 EDT
This worked correctly in Fedora 9.
Comment 2 Christopher D. Stover 2008-10-22 11:20:44 EDT
Can you provide the output from fdisk -l as well as information about your CCISS controller?
Comment 3 andy 2008-10-22 16:05:14 EDT
Disk /dev/cciss/c0d0: 440.3 GB, 440340364800 bytes
255 heads, 63 sectors/track, 53535 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x046d7c27

           Device Boot      Start         End      Blocks   Id  System
/dev/cciss/c0d0p1   *           1          16      128488+  83  Linux
/dev/cciss/c0d0p2              17         321     2449912+  82  Linux swap / Solaris
/dev/cciss/c0d0p3             322         504     1469947+  83  Linux
/dev/cciss/c0d0p4             505       53535   425971507+   5  Extended
/dev/cciss/c0d0p5             505        2937    19543041   83  Linux
/dev/cciss/c0d0p6            2938        3181     1959898+  83  Linux
/dev/cciss/c0d0p7            3182        3425     1959898+  83  Linux
/dev/cciss/c0d0p8            3426        4520     8795556   83  Linux
/dev/cciss/c0d0p9            4521       53535   393712956   83  Linux


What information about the CCISS controller do you need?
Comment 4 Christopher D. Stover 2008-10-22 16:13:15 EDT
I was hoping an "lspci -v" may show info about your CCISS controller that may help the packager find the problem.
Comment 5 Bug Zapper 2008-11-25 22:55:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 02:50:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:35:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 andy 2015-01-12 14:23:17 EST
I don't have any available hardware to test this. Please close and stop sending me emails about it.

Note You need to log in before you can comment on or make changes to this bug.